CM and .net 4.5

Topics: Feature Requests, Framework Services
Oct 31, 2012 at 1:30 PM

I have recently started a new project and we are targeting .Net 4.5 are there any plans for 4.5 support in CM?

Oct 31, 2012 at 5:19 PM

It should work with 4.5 just fine, since 4 was replaced for the most part by 4.5.  On top of that RT support was more of priority i believe.

Oct 31, 2012 at 6:57 PM

CM works fine with .net 4.5, I just finished a WPF application using 4.5 with zero issues.

Oct 31, 2012 at 8:44 PM

Awesome thank you all very much.

Jan 13, 2013 at 5:10 PM
Edited Jan 13, 2013 at 5:13 PM

I changed the target of my application from .Net 4.0 to 4.5, and also updated to 4.5 of Microsoft.Systems.Interactivity, and receive the following exception and inner exception from my XAML use of Message.Attach:

The type initializer for 'Caliburn.Micro.Message' threw an exception
Could not load file or assembly 'System.Windows.Interactivity, Version=, 

I am using the NuGet package for CM. It appears I need the 4.0 versions of these extension assemblies, but that is in conflict with other parts of my application. Any way to proceed other than removing the CM package, downloading the CM source and recompiling under 4.5?

Jan 14, 2013 at 11:20 AM

The next release (1.4.1) will support .NET 4.5 projects.